Bug 124036 - mplayer application does not work after upgrading from Fedora Core to Fedora Core 2.
Summary: mplayer application does not work after upgrading from Fedora Core to Fedora ...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-media   
(Show other bugs)
Version: 2
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Colin Walters
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-23 03:11 UTC by Reginald McCord
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-23 14:40:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Reginald McCord 2004-05-23 03:11:27 UTC
Description of problem:  Mplayer no longer works after upgrading to
Fedira Core 2.  I get the following error if I attempt to start the
application from a command line:

[rmccord@Hendrix rmccord]$ gmplayer
gmplayer: error while loading shared libraries: libdv.so.2: cannot
open shared object file: No such file or directory

After running the 'find' command as root (find / -name gmplayer -print
), its located in '/usr/bin/gmplayer'.  An rpm query shows the
application version: 
[root@Hendrix rmccord]# rpm -q mplayer
mplayer-1.0-0.2.pre2.fr
However libdv.so.2 was never found.

Version-Release number of selected component (if applicable):
mplayer-1.0-0.2.pre2.fr

How reproducible:
Run 'Movie Player' from gnome menu, or 'gmplayer' from command line.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Colin Walters 2004-05-23 14:40:31 UTC
We don't support mplayer.

Comment 2 Mark Allen 2004-11-09 03:00:01 UTC
You can work around this problem with FC2.  Search in your lib
directory,  mine is /usr/lib  for file name like libdv*.  I found
libdv.so.4.  Then create symbolic link to libdv.so.2:

ln -s libdv.so.4 libdv.so.2

For FC2  libdv.so.4  is linked to file libdv.so.4.0.0

it's all good


Note You need to log in before you can comment on or make changes to this bug.